<?
header('Content-type: text/javascript; charset=UTF-8');
include_once '../includes/globals.php';
// Output JavaScript Translator object, using heredoc notation
echo <<< JavaScript
window.Translator = new function()
{
  this.translationArray = new Object();
  this.translate = function(msg)
  {
    var returnVal = msg;
    if (this.translationArray[msg])
    {
      returnVal = this.translationArray[msg];
    }
    return returnVal;
  }
  window.translate = function(msg)
  {
    return Translator.translate(msg);
  }
}

JavaScript;
// End of heredoc notation

// Output translation entries
$translationArray = buildTranslationArray(LANG);
$arrayKeys = array_keys($translationArray);
foreach($arrayKeys as $key)
{
  $value = $translationArray[$key];
  $value = str_replace("\r\n", '<br />', $value);
  $value = str_replace("\n", '<br />', $value);
  $value = addslashes($value);
  printf('Translator.translationArray["%s"] = "%s";%s', $key, $value, "\n");
}

?>
